Package Details: python2-gtts 1.0.7-2

Git Clone URL: https://aur.archlinux.org/python2-gtts.git (read-only)
Package Base: python2-gtts
Description: A Python interface to Google's Text to Speech API.
Upstream URL: https://github.com/pndurette/gTTS
Licenses: MIT
Provides: python2-gtts
Submitter: Holzhaus
Maintainer: None
Last Packager: Holzhaus
Votes: 2
Popularity: 0.000000
First Submitted: 2014-08-09 20:04
Last Updated: 2015-10-24 22:14

Latest Comments

Huulivoide commented on 2017-01-22 20:06

Updated PKGBUILD below. I will be uploading the token new token library dep to AUR shortly.

───────────────────────────────────────────────────────────
# Maintainer: Jan Holthuis <holthuis.jan@googlemail.com>

pkgname=python2-gtts
_pypiname=gTTS
pkgver=1.1.8
pkgrel=1
pkgdesc="A Python interface to Google's Text to Speech API."
arch=('any')
url="https://github.com/pndurette/gTTS"
license=('MIT')
depends=('python2-gtts_token')
conflics=('python2-gtts-git')
makedepends=('python2' 'python2-setuptools')
source=("https://pypi.io/packages/source/g/${_pypiname}/${_pypiname}-${pkgver}.tar.gz")
md5sums=('25efbc3e90df319ef200d48e8b714f2d')

package() {
cd "$srcdir/$_pypiname-$pkgver"
python2 setup.py install --root="$pkgdir/" --optimize=1

sed 's|python|python2|' -i "$pkgdir/usr/bin/gtts-cli"
}

astronouth7303 commented on 2016-02-03 04:14

This does not apply any patches to upstream to account for the differences in the default version of Python between Debian et al and Arch. Needed to install an override script to handle this.